# Class FastqConstants

java.lang.Object
htsjdk.samtools.fastq.FastqConstants

public class FastqConstants extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`FastqConstants.FastqExtensions`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIRST_OF_PAIR`
`static final String`
`QUALITY_HEADER`
`static final String`
`SECOND_OF_PAIR`
`static final String`
`SEQUENCE_HEADER`

## Constructor Summary

Constructors
Constructor
Description
`FastqConstants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SEQUENCE_HEADER

public static final String SEQUENCE_HEADER

See Also:
  - Constant Field Values

### QUALITY_HEADER

public static final String QUALITY_HEADER

See Also:
  - Constant Field Values

### FIRST_OF_PAIR

public static final String FIRST_OF_PAIR

See Also:
  - Constant Field Values

### SECOND_OF_PAIR

public static final String SECOND_OF_PAIR

See Also:
  - Constant Field Values

## Constructor Details

### FastqConstants

public FastqConstants()